/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*
 * File: array\client\client.c
 *
 * This example runs in the following environments:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 * Client code for the array example. This driver program calls two server 
 * programs, opening and closing the connection for each call, i.e., a 
 * non-persistent connection. 
 */ 

#include <stdio.h>
#include "array.h"	/* client header file, created by RPC compiler */

/* Server_Name is used to set the process-binding variable.
 * It must be defined as the name the server registers under.
 */
#define Server_Name "example" 

extern int _rpcerr_;	/* declare RPC error code */

/* declare variable of type server_name for process binding */
server_name sname;

int vec[] = {10, 20, 30, 40, 50, 60};

main()
{
	int size;
	int result;

	sname = Server_Name;

	/* example of call to add_vec1 */

	size = sizeof(vec) / sizeof(int);
	printf("CLIENT: calling add_vec1() with %d elements\n", size);
	result = add_vec1(size, vec);

	if (_rpcerr_) {		/* check RPC return code */
		printf("CLIENT: RPC error %d in add_vec1() call\n",
			_rpcerr_);
		exit(1);
	}
	printf("CLIENT: add_vec1() returned %d\n\n", result);

	/* example of call to add_vec2 */

	printf("CLIENT: calling add_vec2() with %d elements\n", size);
	result = add_vec2(size, vec);

	if (_rpcerr_) {		/* check RPC return code */
		printf("CLIENT: RPC error %d in add_vec2() call\n",
			_rpcerr_);
		exit(1);
	}
	printf("CLIENT: add_vec2() returned %d\n\n", result);

	exit(0);
}
