#
# File: async\client\client.mk
# Makefile for the 'async' client program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
CC=cl
MODEL=S
MLIB=C_LIBS
CFLAGS=/A$(MODEL) /Od
LFLAGS=/SE:256 /STACK:0X1000
RPCC=rpcc
NOBJS=
IOBJS=..\async\async_i.obj
LIBS=$(MODEL)rpc $(MODEL)nwspx
INCS= /I..\async
RINCS=/I..\async

async.h: $(COMMON)\async.rpc ..\async\async_i.rpc
	$(RPCC) $(RINCS) /c $(COMMON)\async.rpc /o cstubs.c


cstubs.c: $(COMMON)\async.rpc ..\async\async_i.rpc
	$(RPCC) $(RINCS) /c $(COMMON)\async.rpc /o cstubs.c

cstubs.obj: cstubs.c async.h
	$(CC) $(CFLAGS) /c $(INCS) cstubs.c

client.obj: client.c async.h
	$(CC) $(CFLAGS) /c $(INCS) client.c

client.exe: client.obj cstubs.obj  $(IOBJS)
# Create the response file for the linker
	echo client.obj cstubs.obj + >client.lnk
	echo $(IOBJS) $(NOBJS) >>client.lnk
	echo client.exe  >>client.lnk
	echo $(LFLAGS)  >>client.lnk
	echo $(LIBS) >>client.lnk 
	link @client.lnk
	erase client.lnk
