/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*
 * File: diag\server\rproc.c
 *
 * This example runs in the following environment:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 *  This file contains the remote procedures for the diag example. 
 */ 

#include <stdio.h>
#include "diag.h"	/* server header file, created by RPC compiler */

int
nonper(cnt)
int cnt;
{

   printf("SERVER: nonper() called\n");

   return(cnt);
}

int start()
{
   printf("SERVER: persistent connection accepted\n");

   return(0);
}

int stop()
{

   printf("SERVER: persistent connection closing\n");

   return(0);
}

int
simple( l1, d1, c1, l2, d2, c2)
long l1, *l2;
double d1, *d2;
char c1, *c2;
{
   printf("SERVER: simple() called\n");
   *l2 = l1;
   *d2 = d1;
   *c2 = c1;

   return (0);
}

int
complex( cmplx1, cmplx2 )
struct cmplx_type *cmplx1, *cmplx2;
{
   printf("SERVER: complex() called\n");

   cmplx2->link = cmplx1->link;
   cmplx2->length = cmplx1->length;
   strcpy(cmplx2->data, cmplx1->data);

   return (0);
}

