/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*                                                                            *
 * File: lostptr\server\rproc.c
 *
 * This example runs in the following environment:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 * This file contains the remote procedures for the lostptr example. 
 */ 


#include <stdio.h>
#include "lostptr.h"	/* server header file, created by the RPC compiler */

int fix_list(cp)
struct customer **cp;	/* address of pointer to head of linked list */
{
	struct customer *lp, *mp;

	if (*cp == NULL) {
	   return(0);
	}

	/* find next-to-last item in list */
	for (lp = *cp; lp->c_next != NULL; mp=lp, lp=lp->c_next)
		;
	
	/* eliminate the last record in the list */
	printf("SERVER: Deleting customer: %s  %s  %s\n",
				lp->c_name, lp->c_addr, lp->c_phone);
	if (lp == *cp) {
		*cp = NULL;
	} else {
		mp->c_next = NULL;
	}

	return(1);
}
