/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*
 * File: macro\server\rproc.c
 *
 * This example works in the following environment:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 * This file contains the remote procedure for the macro example.
 */

#include <stdio.h>
#include "macro.h"	/* server header file, created by the RPC compiler */

/* initialize structure (see macro.rpc for definition) */
struct record rec = { '\0', 'x', 'z', 'p', '\0', 
			"hello world",
			"Now is the time for all goodx", 
			"lions, tigers, bears, and zebras",
			"fred, wilma, barney, betty, pebbles",
			"fred, wilma, barney, betty, pebbles",
};

int
get_record(num, rp)
int num;	/* specifies which record is requested */
struct record *rp;  /* pointer for return of record data */
{
   	printf("SERVER: get_record(%d) request\n", num);

	if (num != 0) /* only one record available in this example */
		return (-3);

	*rp = rec;
	return(0);
}
