/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*                                                                            *
 * File: multicli\server\rproc.c
 *                                                                            *
 * This example runs in the following environment:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 * This file contains the remote procedures for the multicli example.
 *
 */ 

#include <stdio.h>
#include "multicli.h"	/* server header file, created by RPC compiler */

/* Note that the RPC Specification shows the declaration
 * of the start procedure with a parameter called sname.
 * Because this sname parameter contains process binding
 * information, the client does not actually send the
 * information passed with this parameter.  Therefore, the
 * following declaration shows the start procedure without
 * this parameter.
 */

int start()
{
   printf("SERVER: connection accepted\n");

   return(1);
}

int stop()
{

   printf("SERVER: connection closed\n");

   return(1);
}

int
add( a, b)
int a,b;
{
   printf("SERVER: Add %d to %d\n", b, a);

   return (a+b);
}

int
sub( a, b)
int a,b;
{
   printf("SERVER: Subtract %d from %d\n", b, a);

   return (a-b);
}
