/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*
 * File: pointer\client\client.c:
 *
 * This example runs in the following environments:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 * Client code for the pointer example.
 */ 

#include <stdio.h>
#include "pointer.h"	/* client header file, created by the RPC compiler */

extern int _rpcerr_;	/* declare RPC error code */

/* Server_Name is used to set the process-binding variable.
 * It must be defined as the name the server registers under.
 */
#define Server_Name  "example"

/* declare variable of type server_name for process binding */
server_name sname;

main()
{
	string init;
	string final;
	int result;

	sname = Server_Name;

	init = "This message contains 5 blank chars";

	/* Example of call to rm_blanks() */

	printf("CLIENT: call rm_blanks(%s)\n", init);
	result = rm_blanks(init, &final);

	if (_rpcerr_) {		/* check RPC return code */
		printf("CLIENT: RPC error %d in rm_blanks() call\n", _rpcerr_);
		exit(1);
	}

	if (result == 0) {
		printf("CLIENT: rm_blanks() returned '%s'\n",final);
	} else {
		printf("CLIENT: rm_blanks error (%d)\n", result);
	}

	exit(0);
}
