/*                                                                            *
 *                                                                            *
 *                  Copyright 1987, 1988, 1989 Netwise, Inc.                  *
 *                              All Rights Reserved                           *
 *   This software contains information which is proprietary to and a trade   *
 *   secret of Netwise, Inc. It is not to be used, reproduced, or disclosed   *
 *   except as authorized in your license agreement.                          *
 *                                                                            *
 *                          Restricted Rights Legend                          *
 *   Use, duplication,  or  disclosure  by the  Government  is  subject  to   *
 *   restrictions as set forth in subparagraph (c)(1)(ii) of the Rights  in   *
 *   Technical Data and  Computer Software clause  at 252.227-7013, or  the   *
 *   equivalent Government clause for other agencies.                         *
 *   Contractor: Netwise, Inc., Boulder, CO 80301 USA                         *
 *                                                                            *
 */ 
/*
 * File: pointer\client\client.c:
 *
 * This example runs in the following environments:
 *	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
 *
 * Client code for the pointer1 example.
 */ 

#include <stdio.h>
#include "pointer1.h"	/* client header file, created by the RPC compiler */

extern int _rpcerr_;	/* declare RPC error code */

/* Server_Name is used to set the process-binding variable.
 * It must be defined as the name the server registers under.
 */
#define Server_Name  "example"

/* declare variable of type server_name for process binding */
server_name sname;

main()
{
	struct info **st, **stemp;
	int result;

	sname = Server_Name;

	/* Example of call to get_data() */

	printf("CLIENT: call get_data()\n");
	result = get_data(&st);

	if (_rpcerr_) {		/* check RPC return code */
		printf("CLIENT: RPC error %d in get_data() call\n", _rpcerr_);
		exit(1);
	}

	/* loop through sequence of pointers to structures and print data */
	for (stemp=st; *stemp != (struct info *)NULL; stemp++) {
		printf("CLIENT: first = %s, last = %s, age = %d\n",
				(*stemp)->first, (*stemp)->last, (*stemp)->age);
	}

	/* free all memory dynamically allocated by client stub */
	for (stemp=st; *stemp != (struct info *)NULL; stemp++) {
		free((*stemp)->first);
		free((*stemp)->last);
		free(*stemp);
	}
	free(stemp);

	exit(0);
}
