#
# File: timer\server\server.mk
# Makefile for the 'timer' server program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
SCPS=$(RPCSCP)
CC=cl
MODEL=S
MLIB=C_LIBS
CFLAGS=/A$(MODEL) /Od
LFLAGS=/SE:256 /STACK:0X1000
RPCC=rpcc
NOBJS=
DEFINES=/DSERV_DEF
LIBS=$(MODEL)rpc $(MODEL)nwspx
INCS= /I..\timer
RINCS=/I..\timer

timer.h: $(COMMON)\timer.rpc ..\timer\timer_i.rpc
	$(RPCC) $(RINCS) /s $(COMMON)\timer.rpc /o sstubs.c

sstubs.c: $(COMMON)\timer.rpc ..\timer\timer_i.rpc
	$(RPCC) $(RINCS) /s $(COMMON)\timer.rpc /o sstubs.c

sstubs.obj: sstubs.c timer.h
	$(CC) $(CFLAGS) /c $(INCS) sstubs.c

# Note that main_sc.c is in the server control procedure directory rather
# than in the local example directory
scp.obj: serv_def.h
	$(CC) $(CFLAGS) /c /Foscp.obj /I. $(INCS) $(DEFINES) $(SCPS)\main_sc.c

rproc.obj: rproc.c timer.h
	$(CC) $(CFLAGS) /c $(INCS) rproc.c

server.exe: scp.obj rproc.obj sstubs.obj
# Create the response file for the linker
	echo scp.obj rproc.obj sstubs.obj >server.lnk
	echo server.exe >>server.lnk
	echo $(LFLAGS) >>server.lnk
	echo $(LIBS) >>server.lnk 
	link @server.lnk  
	erase server.lnk
